Accept an owner transfer

Moves the application to the new owner of a pending transfer. The caller must manage the new owner. Returns conflict when the transfer is not pending, has expired, or the current owner has changed. Send an Idempotency-Key header.

POST/api/v2/developer/apps/{appId}/owner-transfers/{transferId}/accept

Parameters #

PropertyTypeLocationDescription
appIdstringRequiredpath-
transferIdstringRequiredpath-
Idempotency-KeystringRequiredheader-

Request #

curl --request POST 'https://strave.gg/api/v2/developer/apps/APP_ID/owner-transfers/TRANSFER_ID/accept' \
  --header 'Authorization: Bearer $STRAVE_ACCESS_TOKEN'

Response #

200Response for status 200
application/json
400Response for status 400
application/json
401Response for status 401
application/json
403Response for status 403
application/json
404Response for status 404
application/json
409Response for status 409
application/json
412Response for status 412
application/json
428Response for status 428
application/json
429Response for status 429
application/json
500Response for status 500
application/json
503Response for status 503
application/json
PropertyTypeDescription
dataobjectRequired-
└idstringRequired-
└applicationIdstringRequired-
└fromOwnerobjectRequired-
└typestringRequired-
└idstringRequired-
└toOwnerobjectRequired-
└typestringRequired-
└idstringRequired-
└statusstringRequired-
└revisionintegerRequired-
└createdAtstringRequired-
└expiresAtstringRequired-